/* functions */
String.prototype.replaceAll = function(search, replacement) {
    var target = this;
    return target.replace(new RegExp(search, 'g'), replacement);
};

var listEntries = function(json) {
  console.log(json);
  if (!json.items) return false;
  $('#widgetTitle').text(json.feed.title);
  var articleLength =json.items.length;
  articleLength = (articleLength > maxLength) ? maxLength : articleLength;
  for (var i = 1; i <= articleLength ; i++) {
    var entry = json.items[i-1];
    $('#link' + i).text(entry.title);
    $('#articleHeader' + i).text(entry.title);
    console.log(entry.link.replaceAll("amp;","")); 
    $('#openButton' + i).attr('href', entry.link.replaceAll("amp;",""));
    $('#articleContent' + i).append(entry.content);
  }
  $('#article1 .prevButton').remove();
  $('#article' + articleLength + ' .nextButton').remove();
  if (articleLength < maxLength) {
    for (i = articleLength + 1; i <= maxLength; i++) {
      $('#list' + i).remove();
      $('#article' + i).remove();
    }
  }
};

var getOnlineFeed = function(url) {
  var script = document.createElement('script');
  script.setAttribute('src', 'https://api.rss2json.com/v1/api.json?callback=listEntries&api_key=t9dbdepnrznlshlv0t3tkmdvnr4cvbcawd9y6pwz&count=50&rss_url='
                      + encodeURIComponent(url));
  script.setAttribute('type', 'text/javascript');
  document.documentElement.firstChild.appendChild(script);
};

var getOfflineFeed = function(url) {
  var script = document.createElement('script');
  script.setAttribute('src', url);
  script.setAttribute('type', 'text/javascript');
  document.documentElement.firstChild.appendChild(script);
};
