$(document).ready(function() {
    document.addEventListener("deviceready", onDeviceReady, false);
    $.mobile.pageContainer.on( "pagechange", function( event ) {
      setTimeout(function() { // Solucion a extraño caso de ocultacion de lista
        if (!$('.ui-page-active')[0]) {
          location.reload();
        }
      }, 500);

    });
});


function onDeviceReady() {
		// Register the event listener
		//document.addEventListener("backbutton", onBackKeyDown, false);
}

/* configuration */
var maxLength = 40;
/* writing HTML */
document.write(
  '<div data-role="page" id="list">' +
  '  <div data-role="header" data-position="fixed"> ' +
  '    <a onclick="goBack()" rel="external"  data-role="button" data-icon="arrow-l" data-back="true" data-transition="slide" data-direction="reverse">VOLVER</a>' +
  '    <h1><span id="widgetTitle">Empleo QdP: Cargando datos...</span></h1> ' +
  '  </div>' +
  '  <div role="main" data-role="content">' +
  '    <ul data-role="listview" id="articleList">'
);
for(var i=1; i<=maxLength; i++){
  document.write(
    '<li  id="list' + i + '"><a href="#article'  + i + '"  data-transition="slide" style="white-space:normal" id="link' + i + '">&nbsp;</a></li>'
  );
}
document.write(
  '    </ul>' +
  '  </div>' +
  '</div>'
);
for(i=1; i<=maxLength; i++){
  document.write(
    '<div data-role="page" id="article' + i + '">' +
    '  <div data-role="header" data-position="inline">' +
    '    <a href="#list" data-role="button" data-icon="grid" data-back="true" data-transition="slide" data-direction="reverse">VOLVER</a>' +
    '    <h1 id="articleHeader' + i + '">&nbsp;</h1>' +
    '    <a href="#" id="openButton' + i + '" data-role="button" data-icon="plus"' +
    '      class="ui-btn-right" rel="external">Más info</a>' +
    '  </div>' +
    '  <div data-role="content">' +
    '    <div id="articleContent' + i + '" class="articleContent"></div>' +
    '    <div data-role="controlgroup" data-type="horizontal">' +
    '      <a href="#article' + String(i-1) + '" data-role="button" data-icon="arrow-l"' +
    '        data-inline="true" class="prevButton">Anterior</a>' +
    '      <a href="#article' + String(i+1) + '" data-role="button" data-icon="arrow-r"' +
    '        data-inline="true" class="nextButton" data-iconpos="right">Siguiente</a>' +
    '    </div>' +
    '  </div>' +
    '</div>'
  );
}
